﻿using System.Runtime.InteropServices;

namespace TestProject;

/// <summary>
/// 마우스 포인트
/// </summary>
[StructLayout(LayoutKind.Sequential)]
public struct MousePoint
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region Field

    /// <summary>
    /// X
    /// </summary>
    public int X;

    /// <summary>
    /// Y
    /// </summary>
    public int Y;

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MousePoint(x, y)

    /// <summary>
    /// 생성자
    /// </summary>
    /// <param name="x">X</param>
    /// <param name="y">Y</param>
    public MousePoint(int x, int y)
    {
        X = x;
        Y = y;
    }

    #endregion
}