namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainForm()

        /// <summary>
        /// 
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.executeButton.Click     += executeButton_Click;
            this.showMessageButton.Click += showMessageButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  ư Ŭ óϱ - executeButton_Click(sender, e)

        /// <summary>
        ///  ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void executeButton_Click(object sender, EventArgs e)
        {
            Point clientPoint = this.showMessageButton.Location;
            Point screenPoint = PointToScreen(clientPoint);

            screenPoint.X += this.showMessageButton.Width  / 2;
            screenPoint.Y += this.showMessageButton.Height / 2;

            MouseHelper.SetCursorPosition(screenPoint.X, screenPoint.Y);

            MouseHelper.MouseEvent(MouseEventFlags.LeftDown);
            MouseHelper.MouseEvent(MouseEventFlags.LeftUp  );
        }

        #endregion
        #region ޽ ǥ ư Ŭ óϱ - showMessageButton_Click(sender, e)

        /// <summary>
        /// ޽ ǥ ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void showMessageButton_Click(object sender, EventArgs e)
        {
            MessageBox.Show(this, DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
        }

        #endregion
    }
}