﻿namespace TestProject;

/// <summary>
/// 마우스 이벤트 플래그
/// </summary>
[Flags]
public enum MouseEventFlags
{
    /// <summary>
    /// 이동
    /// </summary>
    Move = 0x00000001,

    /// <summary>
    /// 왼쪽 DOWN
    /// </summary>
    LeftDown = 0x00000002,

    /// <summary>
    /// 왼쪽 UP
    /// </summary>
    LeftUp = 0x00000004,

    /// <summary>
    /// 오른쪽 DOWN
    /// </summary>
    RightDown = 0x00000008,

    /// <summary>
    /// 오른쪽 UP
    /// </summary>
    RightUp = 0x00000010,

    /// <summary>
    /// 가운데 DOWN
    /// </summary>
    MiddleDown = 0x00000020,

    /// <summary>
    /// 가운데 UP
    /// </summary>
    MiddleUp = 0x00000040,

    /// <summary>
    /// 절대
    /// </summary>
    Absolute = 0x00008000
};